cURL
curl --request DELETE \
--url https://api.botpress.cloud/v1/chat/events/scheduled/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>'import requests
url = "https://api.botpress.cloud/v1/chat/events/scheduled/{id}"
headers = {
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-bot-id': '<x-bot-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.botpress.cloud/v1/chat/events/scheduled/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{}cancelScheduledEvent
Permanently cancels a scheduled Event. The event must be in a scheduled state.
DELETE
/
v1
/
chat
/
events
/
scheduled
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bot id
Integration id
Integration alias
Path Parameters
Event id
Response
Returns an empty object
The response is of type cancelScheduledEventResponse · object.
Was this page helpful?
⌘I